Index: NEMO/trunk/src/OCE/DIA/diaar5.F90
===================================================================
--- NEMO/trunk/src/OCE/DIA/diaar5.F90	(revision 13237)
+++ NEMO/trunk/src/OCE/DIA/diaar5.F90	(revision 13286)
@@ -396,6 +396,6 @@
             ALLOCATE( zsaldta(jpi,jpj,jpk,jpts) )
             CALL iom_open ( 'sali_ref_clim_monthly', inum )
-            CALL iom_get  ( inum, jpdom_data, 'vosaline' , zsaldta(:,:,:,1), 1  )
-            CALL iom_get  ( inum, jpdom_data, 'vosaline' , zsaldta(:,:,:,2), 12 )
+            CALL iom_get  ( inum, jpdom_global, 'vosaline' , zsaldta(:,:,:,1), 1  )
+            CALL iom_get  ( inum, jpdom_global, 'vosaline' , zsaldta(:,:,:,2), 12 )
             CALL iom_close( inum )
 
Index: NEMO/trunk/src/OCE/DIA/diadct.F90
===================================================================
--- NEMO/trunk/src/OCE/DIA/diadct.F90	(revision 13237)
+++ NEMO/trunk/src/OCE/DIA/diadct.F90	(revision 13286)
@@ -412,7 +412,7 @@
               ijloc=ijglo-njmpp+1   !  "
 
-              !verify if the point is on the local domain:(1,nlei)*(1,nlej)
-              IF( iiloc >= 1 .AND. iiloc <= nlei .AND. &
-                  ijloc >= 1 .AND. ijloc <= nlej       )THEN
+              !verify if the point is on the local domain:(1,Nie0)*(1,Nje0)
+              IF( iiloc >= 1 .AND. iiloc <= Nie0 .AND. &
+                  ijloc >= 1 .AND. ijloc <= Nje0       )THEN
                  iptloc = iptloc + 1                                                 ! count local points
                  secs(jsec)%listPoint(iptloc) = POINT_SECTION(mi0(iiglo),mj0(ijglo)) ! store local coordinates
@@ -519,6 +519,6 @@
  
      !which coordinate shall we verify ?
-     IF      ( cdind=='I' )THEN   ; itest=nlei ; iind=1
-     ELSE IF ( cdind=='J' )THEN   ; itest=nlej ; iind=2
+     IF      ( cdind=='I' )THEN   ; itest=Nie0 ; iind=1
+     ELSE IF ( cdind=='J' )THEN   ; itest=Nje0 ; iind=2
      ELSE    ; CALL ctl_stop("removepoints :Wrong value for cdind") 
      ENDIF
Index: NEMO/trunk/src/OCE/DIA/diahsb.F90
===================================================================
--- NEMO/trunk/src/OCE/DIA/diahsb.F90	(revision 13237)
+++ NEMO/trunk/src/OCE/DIA/diahsb.F90	(revision 13286)
@@ -274,13 +274,13 @@
                CALL iom_get( numror, 'frc_wn_s', frc_wn_s, ldxios = lrxios )
             ENDIF
-            CALL iom_get( numror, jpdom_autoglo, 'surf_ini'  , surf_ini  , ldxios = lrxios ) ! ice sheet coupling
-            CALL iom_get( numror, jpdom_autoglo, 'ssh_ini'   , ssh_ini   , ldxios = lrxios )
-            CALL iom_get( numror, jpdom_autoglo, 'e3t_ini'   , e3t_ini   , ldxios = lrxios )
-            CALL iom_get( numror, jpdom_autoglo, 'tmask_ini' , tmask_ini , ldxios = lrxios )
-            CALL iom_get( numror, jpdom_autoglo, 'hc_loc_ini', hc_loc_ini, ldxios = lrxios )
-            CALL iom_get( numror, jpdom_autoglo, 'sc_loc_ini', sc_loc_ini, ldxios = lrxios )
+            CALL iom_get( numror, jpdom_auto, 'surf_ini'  , surf_ini  , ldxios = lrxios ) ! ice sheet coupling
+            CALL iom_get( numror, jpdom_auto, 'ssh_ini'   , ssh_ini   , ldxios = lrxios )
+            CALL iom_get( numror, jpdom_auto, 'e3t_ini'   , e3t_ini   , ldxios = lrxios )
+            CALL iom_get( numror, jpdom_auto, 'tmask_ini' , tmask_ini , ldxios = lrxios )
+            CALL iom_get( numror, jpdom_auto, 'hc_loc_ini', hc_loc_ini, ldxios = lrxios )
+            CALL iom_get( numror, jpdom_auto, 'sc_loc_ini', sc_loc_ini, ldxios = lrxios )
             IF( ln_linssh ) THEN
-               CALL iom_get( numror, jpdom_autoglo, 'ssh_hc_loc_ini', ssh_hc_loc_ini, ldxios = lrxios )
-               CALL iom_get( numror, jpdom_autoglo, 'ssh_sc_loc_ini', ssh_sc_loc_ini, ldxios = lrxios )
+               CALL iom_get( numror, jpdom_auto, 'ssh_hc_loc_ini', ssh_hc_loc_ini, ldxios = lrxios )
+               CALL iom_get( numror, jpdom_auto, 'ssh_sc_loc_ini', ssh_sc_loc_ini, ldxios = lrxios )
             ENDIF
          ELSE
Index: NEMO/trunk/src/OCE/DIA/diaptr.F90
===================================================================
--- NEMO/trunk/src/OCE/DIA/diaptr.F90	(revision 13237)
+++ NEMO/trunk/src/OCE/DIA/diaptr.F90	(revision 13286)
@@ -355,7 +355,7 @@
          btmsk(:,:,1) = tmask_i(:,:)                 
          CALL iom_open( 'subbasins', inum,  ldstop = .FALSE.  )
-         CALL iom_get( inum, jpdom_data, 'atlmsk', btmsk(:,:,2) )   ! Atlantic basin
-         CALL iom_get( inum, jpdom_data, 'pacmsk', btmsk(:,:,3) )   ! Pacific  basin
-         CALL iom_get( inum, jpdom_data, 'indmsk', btmsk(:,:,4) )   ! Indian   basin
+         CALL iom_get( inum, jpdom_global, 'atlmsk', btmsk(:,:,2) )   ! Atlantic basin
+         CALL iom_get( inum, jpdom_global, 'pacmsk', btmsk(:,:,3) )   ! Pacific  basin
+         CALL iom_get( inum, jpdom_global, 'indmsk', btmsk(:,:,4) )   ! Indian   basin
          CALL iom_close( inum )
          btmsk(:,:,5) = MAX ( btmsk(:,:,3), btmsk(:,:,4) )          ! Indo-Pacific basin
Index: NEMO/trunk/src/OCE/DIA/diawri.F90
===================================================================
--- NEMO/trunk/src/OCE/DIA/diawri.F90	(revision 13237)
+++ NEMO/trunk/src/OCE/DIA/diawri.F90	(revision 13286)
@@ -471,6 +471,6 @@
 
       ! Define indices of the horizontal output zoom and vertical limit storage
-      iimi = 1      ;      iima = jpi
-      ijmi = 1      ;      ijma = jpj
+      iimi = Nis0   ;   iima = Nie0
+      ijmi = Njs0   ;   ijma = Nje0
       ipk = jpk
       IF(ln_abl) ipka = jpkam1
